<template>
  <div class="pageWrapper">
    <div class="leftTree">
      <My-bread :list="['数据管理', '目录管理']"></My-bread>
      <el-divider />
      <div class="tree">
        <catalogueTree :showBtn="showBtn"></catalogueTree>
      </div>
    </div>
    <div class="rightWrapper">
      <div class="leftTabs">
        <el-tabs type="border-card">
          <el-tab-pane label="查看">
            <el-form :model="form" :inline="true">
              <el-form-item label="目录编码">
                <el-input v-model="this.$store.state.cataNode.id" disabled />
              </el-form-item>
              <el-form-item label="目录名称" label-width="100px">
                <el-input v-model="this.$store.state.cataNode.name" disabled />
              </el-form-item>
              <el-form-item label="目录说明">
                <el-input
                  v-model="form.desc"
                  type="textarea"
                  resize="none"
                  style="height: 100%; overflow: auto"
                />
              </el-form-item>
              <el-form-item label="目录备注">
                <el-input v-model="form.notes" type="textarea" resize="none" />
              </el-form-item>
              <el-form-item style="margin-left: 450px">
                <el-button type="primary" size="mini" @click="onSubmit"
                  >确定</el-button
                >
                <el-button
                  style="margin-left: 50px"
                  size="mini"
                  @click="cancel"
                  >取消</el-button
                >
              </el-form-item>
            </el-form>
          </el-tab-pane>
        </el-tabs>
      </div>
    </div>
  </div>
</template>

<script>
import MyBread from "../../components/MyBread.vue";
import catalogueTree from "../../components/catalogueTree.vue";
export default {
  name: "catalogueManage",
  components: {
    catalogueTree,
    MyBread,
  },
  data() {
    return {
      showBtn: true,
      form: {
        name: "",
        region: "",
        date1: "",
        date2: "",
        delivery: false,
        type: [],
        resource: "",
        desc: "",
      },
    };
  },
  methods: {
    onSubmit() {
      this.$message({
        message: "修改成功",
        type: "success",
      });
    },
    cancel() {
      this.$message("已取消");
    },
    //  this.updateForm.name = this.$store.state.catalogueName;
  },
};
</script>

<style lang="less" scoped>
.pageWrapper {
  display: flex;
  height: 98.5%;
  margin-top: 6px;
  margin-left: 16px;
  .leftTree {
    width: 344px;
    height: 100%;
    background: #f4f8ff;
    border-radius: 10px;
    overflow: hidden;
    .breadcrumb {
      margin: 8px 0 0 24px;
    }
    hr {
      width: 304px;
      margin-top: 9px;
      background: #d3d3d3;
    }
    .tree {
      height: 90%;
      overflow: auto;
      padding-left: 5px;
    }
  }
  .rightWrapper {
    width: calc(100% - 350px);
    height: 100%;
    margin-left: 6px;
    background: #f4f8ff;
    border-radius: 10px;
    overflow: auto;
    .leftTabs {
      width: 99%;
      margin: 17px auto 0;
      /deep/.el-tabs--border-card {
        border-radius: 3px;
      }
      /deep/.el-tabs--border-card > .el-tabs__content {
        padding: 30px 0 0 38px;
        height: 87vh;
      }
      .el-input {
        width: 467px;
      }
      /deep/ .el-textarea__inner {
        width: 1066px;
        height: 131px;
        overflow: auto;
      }
    }
  }
}
</style>
